Bug 1946532 - ExcludeArch libguestfs on POWER for RHEL 9 because qemu-kvm will not be shipped
Summary: ExcludeArch libguestfs on POWER for RHEL 9 because qemu-kvm will not be shipped
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: libguestfs
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Richard W.M. Jones
QA Contact: YongkuiGuo
URL:
Whiteboard:
Depends On:
Blocks: 1956934 1956935
TreeView+ depends on / blocked
 
Reported: 2021-04-06 11:14 UTC by Miroslav Rezanina
Modified: 2021-06-01 11:33 UTC (History)
4 users (show)

Fixed In Version: libguestfs-1.45.2-4.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1956934 1956935 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Miroslav Rezanina 2021-04-06 11:14:01 UTC
BZ 1944056  removes qemu-kvm from power. As libguestfs is depending on qemu-kvm, it has to be update to properly deal with this change.

Comment 1 Richard W.M. Jones 2021-04-06 11:34:28 UTC
I've changed the summary to make it a bit clearer.  Is the only change
to ExcludeArch, or will there be other changes we have to make?

Comment 2 Miroslav Rezanina 2021-04-20 07:57:45 UTC
(In reply to Richard W.M. Jones from comment #1)
> I've changed the summary to make it a bit clearer.  Is the only change
> to ExcludeArch, or will there be other changes we have to make?

Depends on whether you can go with removing whole build for PPC (e.g. qemu-kvm can't use ExcludeArch as we need to keep qemu-img and qemu-ga).

Comment 5 Richard W.M. Jones 2021-04-28 10:08:05 UTC
This is done (also for guestfs-tools), but we don't have an erratum for libguestfs yet.

Comment 9 YongkuiGuo 2021-05-06 10:08:08 UTC
Verified with package:
libguestfs-1.45.2-4.el9

Steps:

1. Check the information for libguestfs-1.45.2-4.el9 and there is no related libguestfs-* packages built on ppc64le.
The brewweb url: https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1582620


Note You need to log in before you can comment on or make changes to this bug.